Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066089 - gparted (consolehelper?) cannot be run w/ root password disabled
Summary: gparted (consolehelper?) cannot be run w/ root password disabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted
Version: 20
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 16:32 UTC by Julius B.
Modified: 2014-02-24 12:29 UTC (History)
1 user (show)

Fixed In Version: gparted-0.18.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-24 12:29:30 UTC


Attachments (Terms of Use)

Description Julius B. 2014-02-17 16:32:29 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20100101 Firefox/28.0
Build Identifier: 

I'm running Fedora with root login disabled by setting an empty password. Starting gparted via GUI or by running ``gparted`` from terminal shows a dialog asking for the root password. It doesn't accept an empty password, nor my user password (as with pkexec). So, the only way to start gparted is by running ``sudo gparted`` from terminal.

It would be nice to query for the user password if the root user is disabled and the user is able to ``sudo``.

IIRC, Debian uses pkexec to enable this. Would it be possible to ship a pkexec file for gparted?

Reproducible: Always

Steps to Reproduce:
1. Disable root user by setting an empty password.
2. Start gparted via icon or terminal
Actual Results:  
A window is shown querying for a root password, which is not available.

Expected Results:  
A window is shown querying for the USER password (as in gksudo).

Comment 1 Fedora Update System 2014-02-21 06:31:31 UTC
gparted-0.18.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gparted-0.18.0-1.fc20

Comment 2 Fedora Update System 2014-02-22 18:17:05 UTC
Package gparted-0.18.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gparted-0.18.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2948/gparted-0.18.0-1.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-02-24 12:29:30 UTC
gparted-0.18.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.